| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UARTD_API_T Struct Reference
CHIP: LPC8xx UART ROM Driver

## Detailed Description

UART ROM driver APIs structure

Definition at line 164 of file uartd_8xx.h.

`#include "uartd_8xx.h"`

## Data Fields
uint32_t(* | uart_get_mem_size )(void)
UART_HANDLE_T *(* | uart_setup )(uint32_t base_addr, uint8_t *ram)
uint32_t(* | uart_init )(UART_HANDLE_T *handle, UART_CONFIG_T *set)
uint8_t(* | uart_get_char )(UART_HANDLE_T *handle)
void(* | uart_put_char )(UART_HANDLE_T *handle, uint8_t data)
uint32_t(* | uart_get_line )(UART_HANDLE_T *handle, UART_PARAM_T *param)
uint32_t(* | uart_put_line )(UART_HANDLE_T *handle, UART_PARAM_T *param)
void(* | uart_isr )(UART_HANDLE_T *handle)

## Field Documentation

uint8_t(* uart_get_char)(UART_HANDLE_T *handle)

Receive one Char from uart. This functions is only returned after Char is received. In case Echo is enabled, the received data is sent out immediately

Definition at line 171 of file uartd_8xx.h.

uint32_t(* uart_get_line)(UART_HANDLE_T *handle, UART_PARAM_T *param)

Receive multiple bytes from UART

Definition at line 173 of file uartd_8xx.h.

uint32_t(* uart_get_mem_size)(void)

< UART Configuration functions Get the memory size needed by one Min UART instance

Definition at line 166 of file uartd_8xx.h.

uint32_t(* uart_init)(UART_HANDLE_T *handle, UART_CONFIG_T *set)

Setup baud rate and operation mode for uart, then enable uart UART polling functions block until completed

Definition at line 168 of file uartd_8xx.h.

void(* uart_isr)(UART_HANDLE_T *handle)

UART interrupt service routine. To use this routine, the corresponding USART interrupt must be enabled. This function is invoked by the user ISR

Definition at line 177 of file uartd_8xx.h.

void(* uart_put_char)(UART_HANDLE_T *handle, uint8_t data)

Send one Char through uart. This function is only returned after data is sent

Definition at line 172 of file uartd_8xx.h.

uint32_t(* uart_put_line)(UART_HANDLE_T *handle, UART_PARAM_T *param)

Send string (end with \0) or raw data through UART UART interrupt functions return immediately and callback when completed

Definition at line 174 of file uartd_8xx.h.

UART_HANDLE_T*(* uart_setup)(uint32_t base_addr, uint8_t *ram)

Setup Min UART instance with provided memory and return the handle to this instance

Definition at line 167 of file uartd_8xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/uartd_8xx.h